package cn.com.qmth.am.dao.stmms;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.dynamic.datasource.annotation.DS;

import cn.com.qmth.am.bean.StudentVo;
import cn.com.qmth.am.bean.TrackPosition;

@DS("data-source-stmms")
public interface StmmsDao {

    List<Double> getMarkStudent(@Param("examId") Long examId, @Param("subjectCode") String subjectCode,
            @Param("mainNumber") Integer mainNumber, @Param("subNumber") String subNumber,
            @Param("examNumber") String examNumber);

    List<StudentVo> getUploadStudent(@Param("examId") Long examId, @Param("subjectCode") String subjectCode,
            @Param("limitCount") Integer limitCount);

    List<TrackPosition> getTrackPosition(@Param("studentId") Long studentId,
            @Param("questionNumber") String questionNumber);

}
